## Tcl8.5.14/Tk8.5.14 Documentation > TclLib > Init

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

### NAME

Tcl_Init - find and source initialization script

### SYNOPSIS

#include <tcl8.5/tcl.h>
int
Tcl_Init(interp)

### ARGUMENTS

Tcl_Interp *interp (in)
  Interpreter to initialize.

### DESCRIPTION

Tcl_Init is a helper procedure that finds and sources the init.tcl script, which should exist somewhere on the Tcl library path.

Tcl_Init is typically called from Tcl_AppInit procedures.

### SEE ALSO

Tcl_AppInit, Tcl_Main

### KEYWORDS

application, initialization, interpreter
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 1998-2000 by Scriptics Corporation.